PKGCTL-VERSION-CHECK(1)

NUME
pkgctl-version-check - compară versiunile pachetelor locale cu cele din amonte

SINOPSIS

pkgctl version check [OPȚIUNI] [BAZĂ_PACHET...]

DESCRIERE

Compară versiunile pachetelor din depozitul local de pachete cu cele mai recente versiuni din amonte ale acestora.

La execuție, acesta generează o listă grupată care oferă informații detaliate cu privire la starea fiecărui pachet. Pentru fiecare pachet, se afișează versiunea locală curentă alături de cea mai recentă versiune disponibilă în amonte.

Afișează un rezumat al pachetelor actualizate, al pachetelor învechite și al oricăror eșecuri de verificare.

Acest lucru simplifică întreținerea fișierelor PKGBUILD, reducând efortul manual necesar pentru a urmări modificările de versiune din sursele din amonte.

CONFIGURARE

Utilizează nvchecker(1) și un fișier .nvchecker.toml situat lângă PKGBUILD. Consultați secțiunea de configurare din pkgctl-version(1).

OPȚIUNI

-h, --help
    Afișează mesajul de ajutor

OPȚIUNI DE FILTRU

-v, --verbose
    Afișează toate rezultatele, inclusiv versiunile actualizate

OPȚIUNI DE IEȘIRE

--json
    Activează imprimarea în JSON; prescurtare pentru '--format json'

-F, --format FORMAT
    Controlează formatul de ieșire al rezultatelor; FORMAT este 'pretty', sau 'json' (implicit pretty)

CODURI DE IEȘIRE

La ieșire, returnează unul dintre următoarele coduri:

0
    Condiția normală de ieșire, toate versiunile verificate sunt actualizate

1
    Cauza necunoscută a eșecului

2
    Condiție normală de ieșire, dar există versiuni perimate

3
    Efectuarea unor verificări de versiune a eșuat

CONSULTAȚI ȘI

pkgctl-version(1) nvchecker(1)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.